<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE topic PUBLIC "-//OASIS//DTD DITA Topic//EN" "topic.dtd">
<topic id="dcpp_how_to_style_the_front_matter_and_back_matter_topics">
  <title>How to Style the Front Matter and Back Matter Topics</title>
  <prolog>
    <metadata>
      <keywords>
        <indexterm product="author developer editor authorEclipse developerEclipse editorEclipse"
            ><ph keyref="pdf-html5-transformation"/>
          <indexterm>Front matter<indexterm>Style topics</indexterm></indexterm></indexterm>
        <indexterm product="author developer editor authorEclipse developerEclipse editorEclipse"
            ><ph keyref="pdf-html5-transformation"/>
          <indexterm>Back matter<indexterm>Style topics</indexterm></indexterm></indexterm>
        <indexterm product="pdf-css ope">Front matter<indexterm>Style topics</indexterm></indexterm>
        <indexterm product="pdf-css ope">Back matter<indexterm>Style topics</indexterm></indexterm>
      </keywords>
    </metadata>
  </prolog>
  <body>
    <section id="section_fx2_k2y_mhb">
      <title>Style all the Topics with the Same Aspect</title>
      <p id="p_str_cgk_54b">All the topics referenced from the <xmlelement>frontmatter</xmlelement> and
          <xmlelement>backmatter</xmlelement> bookmap elements are formatted using the
          <codeph>matter-page</codeph> as defined in <xref
          href="dcpp_default_page_definitions_css.dita"/>. In the merged file, the
          <xmlelement>backmatter</xmlelement> and <xmlelement>frontmatter</xmlelement> elements are
        omitted, and their child topic content is matched using a CSS rule like the one below:</p>
      <codeblock  id="codeblock_ttr_cgk_54b">*[class ~= "map/map"] > *[class ~= "topic/topic"][is-backmatter],
*[class ~= "map/map"] > *[class ~= "topic/topic"][is-frontmatter]{
  page: matter-page;
  ...
}</codeblock>
    </section>
    <section id="section_ygc_m2y_mhb">
      <title>Style the Topics Depending on Their Role</title>
      <p id="p_utr_cgk_54b">There might be cases when you need to distinguish between certain types of topics that have
        different roles in your publication:<ul id="ul_enm_xcy_mhb">
          <li id="li_vtr_cgk_54b">Preface</li>
          <li id="li_wtr_cgk_54b">Notice</li>
          <li id="li_xtr_cgk_54b">Abstract</li>
          <li id="li_ytr_cgk_54b">Copyright</li>
        </ul>These are referenced from the DITA map by specialized <xmlelement>topicref</xmlelement>
        elements, with different class attribute values. </p>
      <p id="p_ztr_cgk_54b">The class attribute values are then passed by the transformation process onto the
        corresponding topic elements from the merged map content. For example, a topic that was
        referenced by a <xmlelement>preface</xmlelement> map element now has a " bookmap/preface "
        value in its <xmlatt>topicrefclass</xmlatt> attribute:</p>
      <codeblock  id="codeblock_a5r_cgk_54b">&lt;topic 
	class="- topic/topic " 
	id="unique_1" 
	topicrefclass="- map/topicref bookmap/preface " .. >
...
&lt;/topic></codeblock>
      <p id="p_b5r_cgk_54b">This can be used to match and apply various styling choices, or even a particular page
        layout:</p>
      <codeblock  id="codeblock_c5r_cgk_54b">@page preface-page {
	background-color:silver;
	@top-center{
		content: "Custom Preface Header";
	}
}
*[class ~= "topic/topic"][@topicrefclass ~= "bookmap/preface"] {
	page: preface-page;
}</codeblock>
    </section>
  </body>
</topic>
